﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Newtonsoft.Json;

public partial class Verify : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (!string.IsNullOrEmpty(Request.Form["transId"]))
            {
                Payment ob = new Payment();
                string result = ob.verify(Request.Form["transId"].ToString());
                JsonParameters Parmeters = JsonConvert.DeserializeObject<JsonParameters>(result);

                if (Parmeters.status == 1)
                {
                    PnlSuccess.Visible = true;
                    transID.Text += Request.Form["transId"].ToString();
                    amount.Text += Parmeters.amount.ToString();
                    lblSuccess.Text = "پرداخت با موفقیت انجام شد.";
                }
                else
                {
                    PnlError.Visible = true;
                    lblError.Text = "کدخطا : " + Parmeters.errorCode + "<br />" + "پیغام خطا : " + Parmeters.errorMessage;
                }
            }
        }
        catch (Exception)
        {
            PnlError.Visible = true;
            lblError.Text = "متاسفانه پرداخت ناموفق بوده است.";
        }
    }
}