﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Newtonsoft.Json;

public partial class Pay : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void btnPay_Click(object sender, EventArgs e)
    {
        try
        {
            Payment ob = new Payment();
            string result = ob.pay(txtamount.Text);
            JsonParameters Parmeters = JsonConvert.DeserializeObject<JsonParameters>(result);

            if (Parmeters.status == 1)
            {
                Response.Redirect("https://pay.ir/payment/gateway/" + Parmeters.transId);
            }
            else
            {
                lblresult.Text = "کدخطا : " + Parmeters.errorCode + "<br />" + "پیغام خطا : " + Parmeters.errorMessage;
            }
        }
        catch (Exception)
        {
            lblresult.Text = "خطا در اتصال به درگاه پرداخت";
        }
    }
}